Security live quotes

​

Get securities' live quotes

Headers

  • The unique identifier of the request. It is used for identifying the request when using updates. It is recommended that this be set to a globally unique identifier (GUID).

  • Whether to start watching for updates if the method supports updates. The default is false.

Body·

required
application/json

QuotesRequestV3

  • Array of securities in the form of 'securityCode.exchange@datasource'. Note there is a maximum of 1000 securities.

Responses

  • application/json
Request Example for post/pricing/quotes/v3
curl https://test-market-data-api.openmarkets.com.au/pricing/quotes/v3 \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "securities": [
    "CBA.ASX@TM",
    "BHP.ASX@AUX"
  ]
}'
{
  "quotes": [
    {
      "securityCode": "CBA",
      "exchange": "ASX",
      "dataSource": "AUX",
      "askCount": 3,
      "askPrice": 7580,
      "askVolume": 10,
      "bidCount": 1,
      "bidPrice": 7570,
      "bidVolume": 180,
      "totalVolume": 10174,
      "totalValue": 733919.16,
      "highPrice": 7530,
      "lastPrice": 7330,
      "lowPrice": 7150,
      "matchPrice": 0,
      "matchVolume": 0,
      "marketValue": 733919.16,
      "marketVolume": 10174,
      "movement": 80,
      "openPrice": 7277,
      "quotationBasisCode": "XD",
      "companyReportCode": "R",
      "tradingStatus": "C",
      "tradeCount": 14,
      "tradeDateTime": "2018-04-03T10:59:17",
      "updateDateTime": "2018-04-03T10:59:17",
      "previousClosePrice": 7250,
      "priceMultiplier": 0.01,
      "marketVwap": 7626.16270976353
    }
  ],
  "invalidSecurities": [
    "123.ASX@TM",
    "FDD.ASX@TM"
  ]
}